Bug 1733846 - Review Request: xrdcl-http - HTTP client plug-in for XRootD
Summary: Review Request: xrdcl-http - HTTP client plug-in for XRootD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 04:37 UTC by Mattias Ellert
Modified: 2019-08-23 01:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-15 18:09:44 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Mattias Ellert 2019-07-29 04:37:33 UTC
Spec URL: http://www.grid.tsl.uu.se/review/xrdcl-http.spec
SRPM URL: http://www.grid.tsl.uu.se/review/xrdcl-http-4.10.0-1.fc30.src.rpm

Description:
xrdcl-http is an XRootD client plugin which allows XRootD to interact
with HTTP repositories.

Fedora Account System Username: ellert

Comment 1 Robert-André Mauchin 2019-08-01 19:18:55 UTC
 - You need to install the license files with %license in %files, and should install the README.md with %doc

%license LICENSE COPYING
%doc README.md

 - License is BSD, not LGPLv3+

https://github.com/xrootd/xrdcl-http/blob/master/LICENSE

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "GNU Lesser General Public License (v3 or later)". 30 files
     have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/xrdcl-http/review-xrdcl-
     http/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xrdcl-
     http
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xrdcl-http-4.10.0-1.fc31.x86_64.rpm
          xrdcl-http-debuginfo-4.10.0-1.fc31.x86_64.rpm
          xrdcl-http-debugsource-4.10.0-1.fc31.x86_64.rpm
          xrdcl-http-4.10.0-1.fc31.src.rpm
xrdcl-http.x86_64: W: no-soname /usr/lib64/libXrdClHttp-4.so
xrdcl-http.x86_64: W: no-documentation
xrdcl-http.x86_64: W: non-conffile-in-etc /etc/xrootd/client.plugins.d/xrdcl-http-plugin.conf
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 2 Mattias Ellert 2019-08-01 20:30:45 UTC
Update

Spec URL: http://www.grid.tsl.uu.se/review/xrdcl-http.spec
SRPM URL: http://www.grid.tsl.uu.se/review/xrdcl-http-4.10.0-2.fc31.src.rpm

The LICENSE and COPYING files are identical, so only one of them needs to be packaged.

Many thanks for the reviews.

Comment 3 Robert-André Mauchin 2019-08-02 13:25:34 UTC
Package approved.

Comment 4 Gwyn Ciesla 2019-08-02 16:02:16 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xrdcl-http

Comment 5 Fedora Update System 2019-08-07 05:50:28 UTC
FEDORA-2019-e1dc0a3e28 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e1dc0a3e28

Comment 6 Fedora Update System 2019-08-07 05:50:32 UTC
FEDORA-2019-ddde1ec92f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ddde1ec92f

Comment 7 Fedora Update System 2019-08-07 05:50:52 UTC
FEDORA-EPEL-2019-062262d448 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-062262d448

Comment 8 Fedora Update System 2019-08-08 01:36:43 UTC
xrdcl-http-4.10.0-2.fc30, xrootd-4.10.0-1.fc30, xrootd-ceph-4.10.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e1dc0a3e28

Comment 9 Fedora Update System 2019-08-08 02:00:45 UTC
xrdcl-http-4.10.0-2.el7, xrootd-4.10.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-062262d448

Comment 10 Fedora Update System 2019-08-08 02:56:40 UTC
xrdcl-http-4.10.0-2.fc29, xrootd-4.10.0-1.fc29, xrootd-ceph-4.10.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ddde1ec92f

Comment 11 Fedora Update System 2019-08-15 18:09:44 UTC
xrdcl-http-4.10.0-2.fc30, xrootd-4.10.0-1.fc30, xrootd-ceph-4.10.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-08-15 18:51:45 UTC
xrdcl-http-4.10.0-2.fc29, xrootd-4.10.0-1.fc29, xrootd-ceph-4.10.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-08-23 01:34:32 UTC
xrdcl-http-4.10.0-2.el7, xrootd-4.10.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.